'''
ma_adminjoinmsg - 0.1 - by PitBull0993

Sends a message to the players that an admin has joined/left the game.
'''

import es
import manilib as ma

def load():
    # We register the addon
    ma_adminjoinmsg = ma.registerCustomAddon("ma_adminjoinmsg")
    # In this script, we do not need setDisplayTitle here, we need it later    

def unload():
    # We unregister the addon
    ma.unregisterCustomAddon("ma_adminjoinmsg")

def player_activate(event_var):
    # Check if the user who joins is a mani client
    if ma.isClient(event_var['userid']):
        # If the person doesn't has the nojoinmsg-flag,
        if ma.getClient(event_var['userid']).hasCFlag("joinmsg"):
            # We set the displaytitle to "Admin Joined"
            ma.getAddon("ma_admin_joinmsg").setDisplayTitle("Admin Joined")
            # And send the message to everyone (looks like this: "[MANI - Admin Joined] Admin PitBull has joined the game.")
            ma.msg("ma_adminjoinmsg", "Admin #lightgreen%s#default has joined the game." % event_var['es_username'])
            # Stop
            return
        # If we shouldn't send the message, just tell the other admins
        ma.chat("[MANI - Admin Joined] Admin %s has joined the game." % event_var['es_username'])

def player_disconnect(event_var):
    # Check if the person who leaves is a mani client
    if ma.isClient(event_var['userid']):
        # If he doens't has the nojoinmsg-flag,
        if ma.getClient(event_var['userid']).hasCFlag("joinmsg"):
            # Set the displaytitle to "Admin Left"
            ma.getAddon("ma_admin_joinmsg").setDisplayTitle("Admin Left")
            # And send the message to everyone (looks like this: "[MANI - Admin Left] Admin PitBull has left the game.")
            ma.msg("ma_adminjoinmsg", "Admin #lightgreen%s#default has left the game." % event_var['es_username'])
            # Stop
            return
        # If we shouldn't send the message, just tell the other admins
        ma.chat("[MANI - Admin Left] Admin %s has left the game." % event_var['username'])