'''
ma_respawn - 0.1 - by PitBull0993

Gives the admin the possibility to respawn after death.
'''

import es
import popuplib
import manilib as ma

# We set our respawn command
#   - est_spawn     > requires ES_Tools     (http://forums.mattie.info/cs/forums/download.php?id=889)
#   - gg_spawn      > requires GG_Utils     (http://gungame5.com/files/gungame_utils.zip)
#   - es_respawn    > requires es_respawn   (http://addons.eventscripts.com/addons/download/es_respawn)
respawncmd = "est_spawn"

# Create a new easymenu
respawnpopup = popuplib.easymenu('ma_respawn menu', None, popupchoice)
# Set the title/question "Do you want to respawn?"
respawnpopup.settitle('Do you want to respawn?')
# And add the options yes and no
respawnpopup.addoption('yes', 'Yes')
respawnpopup.addoption('no', 'No')

def load():
    # We register the addon
    ma_respawn = ma.registerCustomAddon("ma_respawn")
    # Set the display title to "Admin Respawn"
    ma_respawn.setDisplayTitle("Admin Respawn")

def unload():
    # Unregister the addon
    ma.unregisterCustomAddon("ma_respawn")
    # Delete the popup
    respawnpopup.delete()

def popupchoice(userid, choice, popupname):
    # If the person choosed no,
    if choice == 'no':
        # wonder why and let him be dead
        ma.tell(userid, "respawn", "If you don't want to, it's your problem.")
        # Stop
        return
    # If he didn't choose no, respawn him
    es.server.queuecmd('%s %s' % (respawncmd, str(userid)))
    # Tell him "Good choice"
    ma.tell(userid, "ma_respawn", "Good choice!")
    # Warn the other users ("[MANI - Admin Respawn] Be carefull! Admin PitBull has respawned.")
    ma.msg("ma_respawn", "Be carefull! Admin #lightgreen%s#default has respawned." % str(es.getplayername(str(userid))))

def player_death(event_var):
    # Check if the person is a mani client
    if ma.isClient(event_var['userid']):
        # and if he is allowed to respawn
        if ma.getClient(event_var['userid']).hasCFlag("respawn"):
            # Send him the popup if he want to respawn
            respawnpopup.send(event_var['userid'])